LLVM: lldb::SBQueue Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBQueue Class Reference

`#include <SBQueue.h>`

## Public Member Functions
| SBQueue ()
| SBQueue (const QueueSP &queue_sp)
| SBQueue (const SBQueue &rhs)
const SBQueue & | operator= (const lldb::SBQueue &rhs)
| ~SBQueue ()
bool | IsValid () const
void | Clear ()
lldb::SBProcess | GetProcess ()
lldb::queue_id_t | GetQueueID () const
const char * | GetName () const
uint32_t | GetIndexID () const
uint32_t | GetNumThreads ()
lldb::SBThread | GetThreadAtIndex (uint32_t)
uint32_t | GetNumPendingItems ()
lldb::SBQueueItem | GetPendingItemAtIndex (uint32_t)
uint32_t | GetNumRunningItems ()
lldb::QueueKind | GetKind ()

## Protected Member Functions
void | SetQueue (const lldb::QueueSP &queue_sp)
void | FetchThreads ()
void | FetchItems ()

## Friends
class | SBProcess
class | SBThread

## Detailed Description

Definition at line 20 of file SBQueue.h.

## Constructor & Destructor Documentation

lldb::SBQueue::SBQueue | ( |  | ) |

lldb::SBQueue::SBQueue | ( | const QueueSP & | queue_sp | ) |

lldb::SBQueue::SBQueue | ( | const SBQueue & | rhs | ) |

lldb::SBQueue::~SBQueue | ( |  | ) |

## Member Function Documentation

void lldb::SBQueue::Clear | ( |  | ) |

void lldb::SBQueue::FetchItems | ( |  | ) |
| protected

void lldb::SBQueue::FetchThreads | ( |  | ) |
| protected

uint32_t lldb::SBQueue::GetIndexID | ( |  | ) | const

lldb::QueueKind lldb::SBQueue::GetKind | ( |  | ) |

const char* lldb::SBQueue::GetName | ( |  | ) | const

uint32_t lldb::SBQueue::GetNumPendingItems | ( |  | ) |

uint32_t lldb::SBQueue::GetNumRunningItems | ( |  | ) |

uint32_t lldb::SBQueue::GetNumThreads | ( |  | ) |

lldb::SBQueueItem lldb::SBQueue::GetPendingItemAtIndex | ( | uint32_t |  | ) |

lldb::SBProcess lldb::SBQueue::GetProcess | ( |  | ) |

lldb::queue_id_t lldb::SBQueue::GetQueueID | ( |  | ) | const

lldb::SBThread lldb::SBQueue::GetThreadAtIndex | ( | uint32_t |  | ) |

bool lldb::SBQueue::IsValid | ( |  | ) | const

const SBQueue& lldb::SBQueue::operator= | ( | const lldb::SBQueue & | rhs | ) |

void lldb::SBQueue::SetQueue | ( | const lldb::QueueSP & | queue_sp | ) |
| protected

## Friends And Related Function Documentation

friend class SBProcess
| friend

Definition at line 57 of file SBQueue.h.

friend class SBThread
| friend

Definition at line 58 of file SBQueue.h.

The documentation for this class was generated from the following file:

- SBQueue.h